Bug 834825 - BuildRequires python-unittest2 is not needed anymore
BuildRequires python-unittest2 is not needed anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-dulwich (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 20:02 EDT by Matěj Cepl
Modified: 2012-07-06 17:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 17:24:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (1.44 KB, patch)
2012-06-23 20:02 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2012-06-23 20:02:25 EDT
Created attachment 593960 [details]
suggested patch

Description of problem:
Fedora > 14 and RHEL > 6 has python 2.7 which has unittest2 merged in the standard library.

Version-Release number of selected component (if applicable):
0.8.5-1

How reproducible:
100%

Steps to Reproduce:
1.just build the package
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fabian Affolter 2012-06-24 17:28:56 EDT
Thanks for the patch.
Comment 2 Fedora Update System 2012-06-24 17:42:34 EDT
python-dulwich-0.8.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-dulwich-0.8.5-2.fc17
Comment 3 Fedora Update System 2012-06-24 17:42:43 EDT
python-dulwich-0.8.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-dulwich-0.8.5-2.fc16
Comment 4 Fedora Update System 2012-06-25 20:42:01 EDT
Package python-dulwich-0.8.5-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-dulwich-0.8.5-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9870/python-dulwich-0.8.5-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-06 17:24:54 EDT
python-dulwich-0.8.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-06 17:28:16 EDT
python-dulwich-0.8.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.